# wildports make collections.
#
#
# wild-import:	import
# wild-tag:	tagging current wc
# 

.if !empty(.TARGETS:Mwild-*)

#
# wild-import: import to ${REPOS}/${PORTNAME}/trunk
#
.if !empty(.TARGETS:Mwild-import)

wild-import:
	@if [ -z "${WILDREPOS}" ] || [ -z "${PORTNAME}" ]; then\
		echo "something wrong.";\
		exit 2;\
	fi
	svn mkdir ${WILDREPOS}/${PORTNAME}${PKGNAMESUFFIX} \
		${WILDREPOS}/${PORTNAME}${PKGNAMESUFFIX}/trunk \
		${WILDREPOS}/${PORTNAME}${PKGNAMESUFFIX}/tags \
		${WILDREPOS}/${PORTNAME}${PKGNAMESUFFIX}/branches \
		-m 'creating directories for ${PORTNAME}${PKGNAMESUFFIX}'
	svn co ${WILDREPOS}/${PORTNAME}${PKGNAMESUFFIX}/trunk ${.CURDIR}
	for file in ${DESCR} ${PLIST} ${PKGINSTALL} ${PKGDEINSTALL} ${PKGREQ} ${PKGMESSAGE} ${DISTINFO_FILE} Makefile Makefile.local; do \
		if [ -f "${.CURDIR}/$${file##*/}" ]; then \
			svn add "${.CURDIR}/$${file##*/}"; \
		fi;\
	done
	svn add ${FILESDIR}
	svn commit ${.CURDIR} -m 'importing ${PKGNAME}'
.endif

.if !empty(.TARGETS:Mwild-tag)
wild-tag:
	@REPOS=`svn info --xml 2>/dev/null|xsltproc ${PREFIX}/share/misc/get-url.xsl - 2>/dev/null`;\
	if [ -z "$${REPOS}" ]; then \
		echo "'${.CURDIR}' is not a working copy"; \
		exit 2; \
	fi; \
	if [ -n "$$(svn status -q)" ]; then \
		echo "'${.CURDIR}' is modified."; \
		exit 2; \
	fi; \
	if svn info "$${REPOS%/*}/tags/${PKGVERSION}" >/dev/null 2>&1; then \
		echo "${PKGVERSION} is already tagged."; \
		exit 2; \
	fi;\
	svn copy "$${REPOS}" \
		"$${REPOS%/*}/tags/${PKGVERSION}" -m "tagging ${PKGVERSION}" ;\
	svn info "$${REPOS%/*}/tags/${PKGVERSION}"
.endif

.if !empty(.TARGETS:Mwild-dist)
wild-dist:
	@_cat=`echo ${CATEGORIES} |awk '{print $$1}'`; \
	[ -d "${WRKDIR}/$${_cat}" ] || mkdir -p "${WRKDIR}/$${_cat}"; \
	[ -d "${WRKDIR}/$${_cat}/${PORTNAME}${PKGNAMESUFFIX}" ] && \
		rm -r "${WRKDIR}/$${_cat}/${PORTNAME}${PKGNAMESUFFIX}"; \
	svn export . "${WRKDIR}/$${_cat}/${PORTNAME}${PKGNAMESUFFIX}"; \
	${TAR} -C "${WRKDIR}" -cjf \
		"${.CURDIR}/${PORTNAME}${PKGNAMESUFFIX}-${PKGVERSION}.tar.bz2" \
		"$${_cat}/${PORTNAME}${PKGNAMESUFFIX}" 
.endif

.endif